Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# ACE_At_Thread_Exit Class Reference

Contains a method to be applied when a thread is terminated. More...

`#include <Thread_Manager.h>`

Inheritance diagram for ACE_At_Thread_Exit:

[legend]
Collaboration diagram for ACE_At_Thread_Exit:

[legend]
List of all members.

## Public Methods
| ACE_At_Thread_Exit (void)
| Default constructor.
virtual | ~ACE_At_Thread_Exit (void)
| The destructor.
int | is_owner (void) const
| <At_Thread_Exit> has the ownership?
int | is_owner (int owner)
| Set the ownership of the <At_Thread_Exit>.
int | was_applied (void) const
| This <At_Thread_Exit> was applied?
int | was_applied (int applied)
| Set applied state of <At_Thread_Exit>.
## Protected Methods
void | do_apply (void)
| Do the apply if necessary.
virtual void | apply (void)=0
| The apply method.
## Protected Attributes
ACE_At_Thread_Exit * | next_
| The next <At_Thread_Exit> hook in the list.
ACE_Thread_Descriptor * | td_
| The Thread_Descriptor where this at is registered.
int | was_applied_
| The at was applied?
int | is_owner_
| The at has the ownership of this?
## Friends
class | ACE_Thread_Descriptor
class | ACE_Thread_Manager

## Detailed Description

Contains a method to be applied when a thread is terminated.

## Constructor & Destructor Documentation

ACE_INLINE ACE_At_Thread_Exit::ACE_At_Thread_Exit | ( | void |  | ) |

| Default constructor.

ACE_INLINE ACE_At_Thread_Exit::~ACE_At_Thread_Exit | ( | void |  | ) | `[virtual]`

| The destructor.

## Member Function Documentation

virtual void ACE_At_Thread_Exit::apply | ( | void |  | ) | `[protected, pure virtual]`

| The apply method. Implemented in ACE_At_Thread_Exit_Func.

ACE_INLINE void ACE_At_Thread_Exit::do_apply | ( | void |  | ) | `[protected]`

| Do the apply if necessary.

ACE_INLINE int ACE_At_Thread_Exit::is_owner | ( | int | owner | ) |

| Set the ownership of the <At_Thread_Exit>.

ACE_INLINE int ACE_At_Thread_Exit::is_owner | ( | void |  | ) | const

| <At_Thread_Exit> has the ownership?

ACE_INLINE int ACE_At_Thread_Exit::was_applied | ( | int | applied | ) |

| Set applied state of <At_Thread_Exit>.

ACE_INLINE int ACE_At_Thread_Exit::was_applied | ( | void |  | ) | const

| This <At_Thread_Exit> was applied?

## Friends And Related Function Documentation

friend class ACE_Thread_Descriptor`[friend]`

friend class ACE_Thread_Manager`[friend]`

## Member Data Documentation

int ACE_At_Thread_Exit::is_owner_`[protected]`

| The at has the ownership of this?

ACE_At_Thread_Exit* ACE_At_Thread_Exit::next_`[protected]`

| The next <At_Thread_Exit> hook in the list.

ACE_Thread_Descriptor* ACE_At_Thread_Exit::td_`[protected]`

| The Thread_Descriptor where this at is registered.

int ACE_At_Thread_Exit::was_applied_`[protected]`

| The at was applied?

The documentation for this class was generated from the following files:

- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Thread_Manager.h
- /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Thread_Manager.i